Skip to main content
GET
/
v1
/
actions
/
action-count
Count actions
curl --request GET \
  --url https://staging.api.us.aptlydone.com/actions/v1/actions/action-count \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:27:47.328Z",
  "message": "Success",
  "data": {
    "active": "10",
    "inActive": 10,
    "mine": 10,
    "all": 10
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

tenantId
string<uuid>
required

Tenant ID

Example:

"98a113d3-a413-4e85-9df7-a816b22884f9"

filterType
enum<string>
default:all

Filter type (all, active, inactive, mine)

Available options:
all,
active,
inactive,
mine
selectedTab
enum<string>
default:all

Selected tab for count calculation (all, active, inactive, mine). Only used in count API for performance optimization.

Available options:
all,
active,
inactive,
mine
statusIds
string

Action status IDs (comma separated)

Example:

"a647704a-2a94-41f6-a60c-b358756f01d4, c14747ed-79e8-47d5-8112-e6662346d488"

priorityIds
string

Action priority IDs (comma separated)

Example:

"bd5557d4-e850-44a4-8a8c-a710440d4ade, 07fecaa8-63ac-4695-8d1b-6534e9cb7d35"

typeIds
string

Action type IDs (comma separated)

Example:

"b26db68d-a054-45a1-a78a-f5b25bfbe4dc, 209c3761-75fb-44f4-84fd-e5ee4690b730"

ownerIds
string

Owner IDs (comma separated)

Example:

"94f4dcca-6f10-4383-9736-c2d03bb25dc3, cab7ba15-6a26-45e3-98c3-ad61999bd05c"

assigneeIds
string

Assignee IDs (comma separated)

Example:

"3bb6f0a3-7da8-4bed-86aa-bb5e97200fb1, 76906efb-b353-435e-aae4-0d88566dce92"

Search term for action name or description

Example:

"Financial"

duration
number

Duration (in month)

Example:

3

creationStartDate
string<date-time>

Creation date range - start date

creationEndDate
string<date-time>

Creation date range - end date

dueStartDate
string

Due date date time for action

Example:

"2025-03-05T11:49:50.577Z"

dueEndDate
string

Due date date time for action

Example:

"2025-03-15T11:49:50.577Z"

startDate
string<date-time>

Start date for filtering (searches both creation and update dates)

endDate
string<date-time>

End date for filtering (searches both creation and update dates)

Response

200 - application/json

Action Counts fetched successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-08T06:27:47.328Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data